Bug 14068 - Bug 14055 breaks new package installs
Summary: Bug 14055 breaks new package installs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Assignee: Robin Sheat
QA Contact: Testopia
URL:
Whiteboard:
Keywords: rel_3_18_candidate
Depends on:
Blocks: 14055
  Show dependency treegraph
 
Reported: 2015-04-28 02:13 UTC by Robin Sheat
Modified: 2016-12-05 21:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14068: fix preinst for fresh package installs (691 bytes, patch)
2015-04-28 03:45 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 14068: fix preinst for fresh package installs (753 bytes, patch)
2015-04-28 16:51 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 14068: fix preinst for fresh package installs (878 bytes, patch)
2015-04-29 18:13 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2015-04-28 02:13:20 UTC
Don't rush things out on Friday afternoon, folks.
Comment 1 Robin Sheat 2015-04-28 03:45:00 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2015-04-28 16:51:19 UTC Comment hidden (obsolete)
Comment 3 Mirko Tietgen 2015-04-28 16:55:24 UTC
I rolled a package of master+14068, used it to upgrade a 3.18.5 installation and did a fresh installation on another system. I did not encounter problems in the installation process nor display problems described on the mailing list.
Comment 4 Tomás Cohen Arazi 2015-04-29 18:13:47 UTC
Created attachment 38673 [details] [review]
[PASSED QA] Bug 14068: fix preinst for fresh package installs

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Works as expected. Tested both upgrading and on a new install.
Comment 5 Tomás Cohen Arazi 2015-04-29 18:44:36 UTC
Patch pushed to master.

Thanks Robin!
Comment 6 Mason James 2015-05-31 00:41:59 UTC
Pushed to 3.16.x, will be in 3.16.11